/*
 * MessageLogger.java
 *
 * Created on December 19, 2005, 12:02 PM
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package org.netbeans.mdb;

import javax.annotation.Resource;
import javax.ejb.MessageDriven;
import javax.ejb.MessageDrivenContext;
import javax.jms.Message;
import javax.ejb.ActivationConfigProperty;

/**
 *
 * @author blaha
 */
 @MessageDriven(activationConfig={
     @ActivationConfigProperty(propertyName="connectionFactoryJndiName", propertyValue="jms/QueueConnectionFactory"),
     @ActivationConfigProperty(propertyName="destinationName", propertyValue="jms/helloQueue"), 
     @ActivationConfigProperty(propertyName="destinationType", propertyValue="javax.jms.Queue")})
public class MessageLogger {
    
     @Resource()
     MessageDrivenContext ctx;
    
    /** Creates a new instance of MessageLogger */
    public MessageLogger() {
    }
    
    public void onMessage(Message message){
        System.out.println("Get message: " + message);
    }
    
}
